AgentConnect
Agents

Upload an agent icon

Store a user-uploaded avatar (PNG/JPEG/WebP) for the agent and set its icon to image. Owner/editor only.

PUT
/v1/orgs/{orgId}/agents/{agentId}/icon

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
agentId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/icon"
{  "icon": {    "kind": "runtime"  },  "iconUrl": "string"}